.\"	$NetBSD: ddc.4,v 1.1 2006/05/11 21:00:19 gdamore Exp $
.\"
.\" Copyright (c) 2006 Itronix Inc.
.\" All rights reserved.
.\"
.\" Written by Garrett D'Amore for Itronix Inc.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. The name of Itronix Inc. may not be used to endorse
.\"    or promote products derived from this software without specific
.\"    prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY ITRONIX INC. ``AS IS'' AND ANY EXPRESS
.\" OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
.\" WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL ITRONIX INC.
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd May 11, 2006
.Dt DDC 4
.Os
.Sh NAME
.Nm ddc
.Nd VESA Display Data Channel V2 devices
.Sh SYNOPSIS
.Cd "ddc at iic? addr 0x50"
.Sh DESCRIPTION
The
.Nm
driver provides support for accessing the VESA Display Data Channel Version 2
supported by many video displays.
.Sh BUGS
This driver does not provide any mechanism for access from user applications.
Its only use at this point is to provide a means for framebuffer device
drivers to query monitor description data (EDID) using a specialized
in-kernel API.  No support for sending control commands to display devices
is provided.
.Sh SEE ALSO
.Xr iic 4 ,
.Xr ddc 9 ,
.Xr edid 9
.Sh HISTORY
The
.Nm
device appeared in
.Nx 4.0 .
.Sh AUTHORS
.An Garrett D'Amore Aq gdamore@NetBSD.org
